Path parameters

  • conversation_uuid string Required
application/json

Body

  • contents string

    Contents of the message.

  • files array[string(uuid)]

    File UUIDs which are uploading, or has been uploaded but not yet been assigned to a model.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • deleted_at string

      The timestamp of when the resource was deleted.

    • contents string

      The message contents

    • edited boolean

      Whether the message has been edited or not

    • files array[object]

      Message file attachments

      Hide files attributes Show files attributes object
      • uuid string
      • created_at string
      • original_created_at string
      • updated_at string
      • uploaded_at string
      • status string
      • filename string
      • name string
      • extension string
      • type string
      • size string
      • path string
      • last_modified string
      • progress string
      • download_url string
      • folder_name string
      • folder string
      • documentable_type string
      • documentable string
      • navigator object
        Hide navigator attributes Show navigator attributes object
        • model_type string
        • model_uuid string
      • firm string
      • account string
      • tags string
    • author object

      Message author

      Hide author attributes Show author attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • custom_fields string
      • external_references string
    • user object

      Message user

      Hide user attributes Show user attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • current_account string
      • current_login string
      • two_factor_enabled boolean
      • two_factor_type string
      • otp_confirmed_at string
      • otp_pending boolean
      • sms_two_factor_enabled boolean
      • two_factor_mobile boolean
      • two_factor_mobile_meta object
        Hide two_factor_mobile_meta attributes Show two_factor_mobile_meta attributes object
        • country string
        • formatted string
      • current_time_entry string
      • session_expires_at string
      • remember_token_expires_at boolean
      • should_auto_save_notes boolean
    • reactions array[object]

      Array of reactions to the message

      Hide reactions attributes Show reactions attributes object
      • uuid string
      • created_at string
      • updated_at string
      • account_uuid string
      • account_name string
      • reaction string
POST /api/v1/conversation/{conversation_uuid}/messages
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/conversation/6ff8f7f6-1eb3-3525-be4a-3932c805afed/messages' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"contents":"Hello, welcome to Plannr.","files":["dcb87ae8-434f-4cd8-b009-5ee2c83beb4a","b5bc0c02-5b6a-466c-abc4-027e0b40aa02","2fc38f68-2d8d-454f-9f1e-95e039501580"]}'
Request examples
{
  "contents": "Hello, welcome to Plannr.",
  "files": [
    "dcb87ae8-434f-4cd8-b009-5ee2c83beb4a",
    "b5bc0c02-5b6a-466c-abc4-027e0b40aa02",
    "2fc38f68-2d8d-454f-9f1e-95e039501580"
  ]
}
Response examples (200)
{
  "user": {
    "name": "Gareth Thompson",
    "type": "standard",
    "uuid": "37430849-68f2-479c-969a-9c338d30c185",
    "email": "gareth@codepotato.co.uk",
    "last_name": "Thompson",
    "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
    "created_at": "2026-03-18T16:05:25+00:00",
    "first_name": "Gareth",
    "updated_at": "2026-03-18T16:05:25+00:00",
    "otp_pending": false,
    "current_login": "App\\Http\\Resources\\LoginResource",
    "current_account": "App\\Http\\Resources\\AccountResource",
    "two_factor_type": "sms",
    "otp_confirmed_at": "2026-03-18T16:05:25+00:00",
    "two_factor_mobile": true,
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "session_expires_at": "2026-03-18T16:05:25+00:00",
    "two_factor_enabled": true,
    "should_auto_save_notes": true,
    "sms_two_factor_enabled": true,
    "two_factor_mobile_meta": {
      "country": "GB",
      "formatted": "0333 090 3630"
    },
    "remember_token_expires_at": true
  },
  "uuid": "ced159e3-de79-4ea6-a82e-b224e002e8f8",
  "files": [
    {
      "firm": "App\\Http\\Resources\\FirmResource",
      "name": "Welcome to Plannr",
      "path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
      "size": "21691783",
      "tags": "App\\Http\\Resources\\TagResource",
      "type": "type",
      "uuid": "a7f01fc5-964e-44b4-97cb-45bb2272481a",
      "folder": "App\\Http\\Resources\\FolderResource",
      "status": "uploaded",
      "account": "App\\Http\\Resources\\MinimalAccountResource",
      "filename": "Welcome to Plannr.pdf",
      "progress": "100",
      "extension": "pdf",
      "navigator": {
        "model_type": "account",
        "model_uuid": "be1ce0ea-78ba-46cb-a839-5916b82a3fb5"
      },
      "created_at": "2026-03-18T16:05:25+00:00",
      "updated_at": "2026-03-18T16:05:25+00:00",
      "folder_name": "folder 2",
      "uploaded_at": "2026-03-18T16:05:25+00:00",
      "documentable": "Object",
      "download_url": "https://api.plannrcrm.com/file/223527b1-88db-416b-a587-4453a395bcb4/download",
      "last_modified": "2026-03-18T16:05:25+00:00",
      "documentable_type": "account",
      "original_created_at": "2026-03-18T16:05:25+00:00"
    }
  ],
  "author": {
    "firm": "App\\Http\\Resources\\FirmResource",
    "name": "Gareth Thompson",
    "role": "client",
    "tags": "App\\Http\\Resources\\TagResource",
    "type": "client",
    "uuid": "abf0fe48-399e-4a14-9f05-d1e6804e0550",
    "email": "gareth@codepotato.co.uk",
    "groups": "App\\Http\\Resources\\GroupResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "last_name": "Thompson",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "created_at": "2026-03-18T16:05:25+00:00",
    "first_name": "Gareth",
    "updated_at": "2026-03-18T16:05:25+00:00",
    "with_login": true,
    "inactive_at": "2026-03-18",
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "referral_code": "ABC12345",
    "can_be_deleted": "false",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "next_review_date": "2026-03-18T16:05:25+00:00",
    "has_joint_account": true,
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "first_contact_date": "2026-03-18T16:05:25+00:00",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource",
    "last_interaction_at": "2026-03-18 16:05:25",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "previous_review_date": "2026-03-18T16:05:25+00:00",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "anniversary_review_date": "2026-03-18T16:05:25+00:00"
  },
  "edited": true,
  "contents": "Welcome to Plannr!",
  "reactions": [
    {
      "uuid": "6997bade-9810-4ca8-bb9e-d32bd720ff3d",
      "reaction": "like",
      "created_at": "2026-03-18T16:05:25+00:00",
      "updated_at": "2026-03-18T16:05:25+00:00",
      "account_name": "Gareth Thompson",
      "account_uuid": "8d4803a5-1e2a-4abc-b8c8-e5966d7430db"
    }
  ],
  "created_at": "2026-03-18T16:05:25+00:00",
  "deleted_at": "2026-03-18T16:05:25+00:00",
  "updated_at": "2026-03-18T16:05:25+00:00"
}